﻿using System;
using Orchard.Environment.Extensions;
using Orchard.ContentManagement.Records;

namespace FruitCake.SimpleGallery.Models
{

    public enum LinkMode
    {
        None,
        External,
        LightBox
    }

    public enum TitleMode
    {
        None,
        Above,
        Below
    }

    [OrchardFeature("FruitCake.SimpleGallery")]
    public class SimpleGalleryPartRecord : ContentPartRecord
    {
        public SimpleGalleryPartRecord()
        {
            EnableThumbnail = false;
            TitleMode = Models.TitleMode.None;
            PageSize = 20;
            PagerMaxItems = 10;
            TitleSeparator = "_";
            LinkMode = Models.LinkMode.LightBox;
        }

        public virtual string Path { get; set; }

        public virtual int FrameWidth { get; set; }
        public virtual int FrameHeight { get; set; }

        public virtual int PageSize { get; set; }
        public virtual int PagerMaxItems { get; set; }
        public virtual bool EnableThumbnail { get; set; }
        public virtual TitleMode TitleMode { get; set; }
        public virtual string TitleSeparator { get; set; }
        public virtual LinkMode LinkMode { get; set; }
    }

}